Bug 587616 - gpsd can't attach shm segment created by chrony
gpsd can't attach shm segment created by chrony
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-30 07:54 EDT by Miroslav Lichvar
Modified: 2010-05-18 17:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.6.32-114.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-18 17:55:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Lichvar 2010-04-30 07:54:49 EDT
Description of problem:
When chronyd is started before gpsd, there are denials when creating and attaching shm segments. It works when the order is reversed (default init script ordering).

audit2allow gives:

#============= chronyd_t ==============
allow chronyd_t tmpfs_t:file { read write };

#============= gpsd_t ==============
allow gpsd_t chronyd_t:shm { unix_read read write unix_write associate };
allow gpsd_t tmpfs_t:file { read write };


An unreleated problem (too lazy to file another bug), ntpd can't access /dev/pps0.

#============= ntpd_t ==============
#!!!! The source type 'ntpd_t' can write to a 'chr_file' of the following types:
# null_device_t, ptmx_t, zero_device_t, devtty_t, initrc_devpts_t, ptynode, ttynode, ptynode, ttynode, tty_device_t, devpts_t, console_device_t

allow ntpd_t clock_device_t:chr_file { read write open };


Version-Release number of selected component (if applicable):
selinux-policy-3.6.32-110.fc12.noarch
Comment 1 Daniel Walsh 2010-04-30 09:03:28 EDT
Miroslov 

Cut and paste gpsd_tmpfs_t into chronyd and allow gpsd access.

Also

dev_rw_realtime_clock(ntpd_t)


You can probably grab the code from F13.
Comment 2 Miroslav Grepl 2010-05-05 07:41:52 EDT
Fixed in selinux-policy-3.6.32-114.fc12
Comment 3 Fedora Update System 2010-05-05 11:36:59 EDT
selinux-policy-3.6.32-114.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-114.fc12
Comment 4 Fedora Update System 2010-05-06 23:57:38 EDT
selinux-policy-3.6.32-114.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-114.fc12
Comment 5 Fedora Update System 2010-05-18 17:54:31 EDT
selinux-policy-3.6.32-114.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.